(function($, globals) {

	'use strict';

	var MyAMS = globals.MyAMS;
	var PyAMS_workflow = {

		/**
		 * Versions list management
		 */
		versions_list: {

			switchVersions: function() {
				return function() {
					var versions = $(this).siblings('ul.versions');
					if (versions.hasClass('hidden')) {
						versions.removeClass('hidden');
						$(this).removeClass('fa-caret-right')
							   .addClass('fa-caret-down');
					} else {
						versions.addClass('hidden');
						$(this).removeClass('fa-caret-down')
							   .addClass('fa-caret-right');
					}
				};
			},

			switchAllVersions: function() {
				return function() {
					var link = $(this);
					var versions = link.siblings('ul.old_versions');
					if (versions.hasClass('hidden')) {
						$('i', link).removeClass('fa-caret-right')
									.addClass('fa-spin fa-gear');
						var location = link.parents('[data-ams-location]').data('ams-location');
						var element_name = link.parents('tr').data('ams-element-name');
						MyAMS.skin.loadURL(location + '/get-old-versions.html?element_name=' + element_name, versions, {
							afterLoadCallback: function() {
								$('i', link).removeClass('fa-spin fa-gear')
											.addClass('fa-caret-down');
							}
						});
					} else {
						versions.addClass('hidden');
						$('i', link).removeClass('fa-caret-down')
									.addClass('fa-caret-right');
					}
				};
			}
		}
	};
	globals.PyAMS_workflow = PyAMS_workflow;

})(jQuery, this);
